#pragma once

#include "executionqueue/IExecutionQueue.h"

namespace NS_DM_Client
{

class ExecutionQueueMock : public IExecutionQueue
{
public:
    // from IComponent
    virtual bool Init(const StringMap& settings, const String& loggerInstance, ProfileComponentsHolder& pch);
    virtual bool Start();
    virtual bool Stop();
    virtual void Release();
    // from IExecutionQueue
    virtual bool Add(ICommand& cmd);
};


}

